#include <pch.h>

SDL_GPUCopyPass* CopyPassBegin(SDL_GPUCommandBuffer* copy_command_buffer) {
    SDL_assert(copy_command_buffer != NULL);

    SDL_GPUCopyPass* copy_pass = SDL_BeginGPUCopyPass(copy_command_buffer);
    LogAssertSDL(copy_pass != NULL, "Failed to begin copy pass");

    return copy_pass;
}

void CopyPassEnd(SDL_GPUCopyPass* copy_pass) {
    SDL_assert(copy_pass != NULL);

    SDL_EndGPUCopyPass(copy_pass);
}
