#ifndef FILE_IO_H
#define FILE_IO_H

#include <stddef.h>
#include <stdint.h>

typedef struct {
    size_t length;
    uint8_t* data;
} FileData;

FileData FileRead(const char* filename, const char* mode);
FileData FileReadText(const char* filename);
FileData FileReadBinary(const char* filename);

void FileFree(FileData file);

#endif
