add_rules("mode.debug", "mode.release")

add_requires("stc", "cglm")
add_requires("glslang", {configs = {binaryonly = true}})

target("brimstone")
    set_kind("binary")
    set_pcheader("src/pch.h")
    set_rundir("build")
    
    add_files("src/**.c")
    add_links("SDL3", "SDL3_image")
    add_includedirs("src")
    add_packages("stc", "glslang", "cglm")

    add_rules("utils.glsl2spv", {outputdir = "build/shaders"})
    add_files("shaders/**.vert", "shaders/**.frag")

    if is_mode("debug") then
        add_defines("DEBUG")
    end
