#include <pch.h>

SDL_GPUDevice* DeviceCreate() {
    // TODO: once SDL3 and adjacent tools have stable releases shadercross and such will be easier to add
    // and other backends and shader formats can be used
    SDL_GPUDevice* device = SDL_CreateGPUDevice(SDL_GPU_SHADERFORMAT_SPIRV, true, NULL);
    LogAssertSDL(device != NULL, "Failed to create device");

    SDL_Log("Created GPU device using %s", SDL_GetGPUDeviceDriver(device));

    return device;
}
