#ifndef SHADERS_H
#define SHADERS_H

#include <SDL3/SDL_gpu.h>

// SDL_GPUShader* ShaderLoad(SDL_GPUDevice* device, const char* filename, SDL_GPUShaderStage stage);
SDL_GPUShader* ShaderLoad(SDL_GPUDevice* device, const char* filename, SDL_GPUShaderStage stage,
    uint32_t num_uniform_buffers, uint32_t num_samplers);
void ShaderFree(SDL_GPUDevice* device, SDL_GPUShader* shader);

#endif
