#ifndef TRANSFER_BUFFER_H
#define TRANSFER_BUFFER_H

#include <SDL3/SDL_gpu.h>

SDL_GPUTransferBuffer* TransferBufferCreate(
    SDL_GPUDevice* device, SDL_GPUTransferBufferUsage usage, size_t size);
void* TransferBufferMap(SDL_GPUDevice* device, SDL_GPUTransferBuffer* transfer_buffer);
void TransferBufferUnmap(SDL_GPUDevice* device, SDL_GPUTransferBuffer* transfer_buffer);
void TransferBufferFree(SDL_GPUDevice* device, SDL_GPUTransferBuffer* transfer_buffer);

#endif
