#ifndef PCH_H
#define PCH_H

#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

#include <SDL3/SDL.h>
#include <SDL3_image/SDL_image.h>

#include <brimstone/graphics/command_buffer.h>
#include <brimstone/graphics/device.h>
#include <brimstone/graphics/pipeline.h>
#include <brimstone/graphics/shaders.h>
#include <brimstone/graphics/transfer_buffer.h>
#include <brimstone/graphics/upload.h>
#include <brimstone/graphics/vertex.h>
#include <brimstone/init/systems.h>
#include <brimstone/io/copy_pass.h>
#include <brimstone/io/file.h>
#include <brimstone/misc/log.h>
#include <brimstone/misc/malloc.h>

#include <cglm/cglm.h>

#endif
